Summary: Musepack SV7 audio file encoder
Name: mppenc
Version: 1.16
Release: 1%{?dist}
License: LGPL-2.1-or-later
URL: http://www.musepack.net/
Source0: http://files.musepack.net/source/mppenc-%{version}.tar.bz2
Patch0001: mppenc-1.16-cflags.patch
Patch0002: mppenc-1.16-strict-aliasing.patch
Patch0003: remove-fastmath-macro.patch

BuildRequires:  gcc
BuildRequires: cmake

%description
This is a Musepack StreamVersion7 encoder for audio.

Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that
you won't be able to hear differences between the original wave file and
the much smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2
algorithms, but has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc Changelog
%{_bindir}/mppenc


%changelog
* Tue Aug 20 2024 chenyufeng <chenyufeng@redflag-os.com> - 1.16-1
- initial build.
